language: python
matrix:
  include:
  - python: 2.6
  - python: 2.7
    env:
    - secure: QSqodxRXJWkKhD1IKFNe1fx/ICpTVlsxgg44FRugrUnInYeWPzmQhQKnmhnCVwlRzYvrCbA5tyC2pZFML4hNBQYgN3gYJxxJR3fpJ9ZSb4xVUD/3LW5iMUzDloEA0/SyT2++W6NAUy85VwjbVeAg4yWBbCeCfFWb6LQUPENO/I8=
    - secure: E1oP5OQ9+keu/GdxV7ju3FZgQBXBvVp0EIq1ge5spsb4ZbZmrcTCzb2hawSo0AHv/ECVYBnM3KcA2TPu6ZcYN0u1oAHM0nojSDllOc7/s1IhRxI/c7RZGTWAhfCklgpAOhdxq6DKIYoJUlq/gLiGIXYGa9jTF27uyEGAm3vnLv0=
  - python: 3.2
    env:
    - NUMPYSPEC===1.8.0
  - python: 3.3
    env:
    - NUMPYSPEC===1.8.0
before_install:
- sudo add-apt-repository -y ppa:biometrics/bob
- sudo add-apt-repository -y ppa:biometrics/bob.preview
- sudo apt-get update -qq
- sudo apt-get install -qq --force-yes bob-dev
- sudo apt-get install -qq --force-yes libjpeg8-dev libnetpbm10-dev libpng12-dev libtiff4-dev
  libgif-dev
- sudo apt-get install -qq --force-yes python-opencv libcv-dev libcvaux-dev libopencv-dev
- sudo apt-get install -qq --force-yes python-matplotlib
- if [ -n "${NUMPYSPEC}" ]; then sudo apt-get install -qq --force-yes libatlas-dev
  libatlas-base-dev liblapack-dev gfortran; fi
- if [ -n "${NUMPYSPEC}" ]; then pip install --upgrade pip setuptools; fi
- if [ -n "${NUMPYSPEC}" ]; then pip install --find-links http://wheels.astropy.org/
  --find-links http://wheels2.astropy.org/ --use-wheel numpy$NUMPYSPEC sphinx nose
  matplotlib; fi
- pip install cpp-coveralls
install:
- python bootstrap.py
- CFLAGS=-coverage ./bin/buildout
script:
- ./bin/python -c 'from bob.ip.flandmark import get_config; print(get_config())'
- ./bin/coverage run --source=bob.ip.flandmark ./bin/nosetests -sv
- ./bin/sphinx-build -b doctest doc sphinx
- ./bin/sphinx-build -b html doc sphinx
after_success:
- coveralls --build-root=`pwd` --exclude=src
- ./src/bob.extension/scripts/upload-sphinx.sh
